#include <bits/stdc++.h>
using namespace std;
long long int N[1000005],B[1000005], G[1000005], T, q;
int main()
{

scanf("%lld", &T);
for(int i=0; i<T; i++)
{
    scanf("%lld%lld%lld", &N[i], &B[i], &G[i]);
}
for(int i=0; i<T; i++)
{
q=N[i]/G[i];
    if((q*(q+1))/2<=B[i]) printf("Tak\n");
    else printf("Nie\n");
}
return 0;
}